#!/usr/bin/python
"""FOAF Program for DanBri"""

import sys, re

RDFTop, RDFBottom = """
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
        xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
        xmlns:daml="http://www.daml.org/2001/03/daml+oil#"
        xmlns:misc="http://xmlns.com/foaf/0.1/"
        xmlns:wn="http://xmlns.com/wordnet/1.6/"
        xmlns:dc="http://purl.org/dc/elements/1.1/" >
""".strip(), "</rdf:RDF>"

Prp = r'(<rdf:Prop.+?\s+rdf.+?/foaf/0.1/([^"]+)".+?</rdf:Property>)'
Cls = r'(<rdfs:Class\s+rdf.+?/foaf/0.1/([^"]+)".+?</rdfs:Class>)'

if __name__=="__main__": 
   s = open(sys.argv[1], 'r').read().replace('\r', '\n').replace('\n\n', '\n')
   for p in re.compile(Prp, re.S).findall(s): 
      open(p[1], 'w').write('%s\n%s\n%s' % (RDFTop, p[0], RDFBottom))
   for x in re.compile(Cls, re.S).findall(s): 
      open(x[1], 'w').write('%s\n%s\n%s' % (RDFTop, x[0], RDFBottom))